### Eclipse Workspace Patch 1.0
#P org.jboss.ide.eclipse.as.ui
Index: jbossui/org/jboss/ide/eclipse/as/ui/editor/LocalBehaviorUI.java
===================================================================
--- jbossui/org/jboss/ide/eclipse/as/ui/editor/LocalBehaviorUI.java	(revision 41665)
+++ jbossui/org/jboss/ide/eclipse/as/ui/editor/LocalBehaviorUI.java	(working copy)
@@ -52,7 +52,7 @@
 		}
 	}
 	
-	public void performFinish(IProgressMonitor monitor) throws CoreException {
+	public void performFinish(IServerModeUICallback callback, IProgressMonitor monitor) throws CoreException {
 		// Do Nothing
 	}
 
Index: jbossui/org/jboss/ide/eclipse/as/ui/wizards/JBossServerWizardFragment.java
===================================================================
--- jbossui/org/jboss/ide/eclipse/as/ui/wizards/JBossServerWizardFragment.java	(revision 41665)
+++ jbossui/org/jboss/ide/eclipse/as/ui/wizards/JBossServerWizardFragment.java	(working copy)
@@ -223,7 +223,7 @@
 		if( modeComposite != null ) {
 			IDeploymentTypeUI ui = modeComposite.getCurrentBehaviourUI();
 			if( ui != null )
-				ui.performFinish(monitor);
+				ui.performFinish(DeploymentTypeUIUtil.getCallback(getTaskModel(), handle, this), monitor);
 		}
 	}
 	
Index: jbossui/org/jboss/ide/eclipse/as/ui/editor/IDeploymentTypeUI.java
===================================================================
--- jbossui/org/jboss/ide/eclipse/as/ui/editor/IDeploymentTypeUI.java	(revision 41665)
+++ jbossui/org/jboss/ide/eclipse/as/ui/editor/IDeploymentTypeUI.java	(working copy)
@@ -49,7 +49,12 @@
 	
 	/**
 	 * Allow the mode composite to take some action on finish
+	 * 
+	 * This is only called from the WIZARD, NOT the editor!
+	 * This means only NEW servers set to some mode will have this API called.
+	 * This also means only NEW severs created via UI will benefit. 
+	 * 
 	 * @since 2.3
 	 */
-	public void performFinish(IProgressMonitor monitor) throws CoreException;
+	public void performFinish(IServerModeUICallback callback, IProgressMonitor monitor) throws CoreException;
 }
#P org.jboss.ide.eclipse.as.rse.ui
Index: src/org/jboss/ide/eclipse/as/rse/ui/RSEDeploymentPreferenceUI.java
===================================================================
--- src/org/jboss/ide/eclipse/as/rse/ui/RSEDeploymentPreferenceUI.java	(revision 41665)
+++ src/org/jboss/ide/eclipse/as/rse/ui/RSEDeploymentPreferenceUI.java	(working copy)
@@ -61,12 +61,15 @@
 import org.eclipse.wst.server.core.IRuntime;
 import org.eclipse.wst.server.core.IServer;
 import org.eclipse.wst.server.core.IServerWorkingCopy;
+import org.jboss.ide.eclipse.as.core.extensions.polling.WebPortPoller;
 import org.jboss.ide.eclipse.as.core.publishers.PublishUtil;
 import org.jboss.ide.eclipse.as.core.server.IDeployableServer;
 import org.jboss.ide.eclipse.as.core.server.IJBossServerPublishMethodType;
 import org.jboss.ide.eclipse.as.core.server.IJBossServerRuntime;
 import org.jboss.ide.eclipse.as.core.server.internal.JBossServer;
+import org.jboss.ide.eclipse.as.core.server.internal.v7.JBoss7ManagerServicePoller;
 import org.jboss.ide.eclipse.as.core.util.DeploymentPreferenceLoader;
+import org.jboss.ide.eclipse.as.core.util.IJBossToolingConstants;
 import org.jboss.ide.eclipse.as.core.util.ServerConverter;
 import org.jboss.ide.eclipse.as.core.util.ServerUtil;
 import org.jboss.ide.eclipse.as.rse.core.RSEPublishMethod;
@@ -471,8 +474,21 @@
 	}
 
 	@Override
-	public void performFinish(IProgressMonitor monitor) throws CoreException {
-		// TODO Auto-generated method stub
-		
+	public void performFinish(IServerModeUICallback callback, IProgressMonitor monitor) throws CoreException {
+		// Override the pollers to more sane defaults for RSE
+		// For now, hard code these options. One day, we might need an additional
+		// adapter factory for rse-specific initialization questions on a per-server basis
+		IServerWorkingCopy wc = callback.getServer();
+		// an as7-only key
+		boolean exposed = wc.getAttribute(IJBossToolingConstants.EXPOSE_MANAGEMENT_SERVICE, false);
+		if( !exposed ) {
+			// as<7 || ( as==7 && !exposed) uses poller
+			wc.setAttribute(IJBossToolingConstants.STARTUP_POLLER_KEY, WebPortPoller.WEB_POLLER_ID);
+			wc.setAttribute(IJBossToolingConstants.SHUTDOWN_POLLER_KEY, WebPortPoller.WEB_POLLER_ID);
+		} else {
+			// as7 && exposed
+			wc.setAttribute(IJBossToolingConstants.STARTUP_POLLER_KEY, JBoss7ManagerServicePoller.POLLER_ID);
+			wc.setAttribute(IJBossToolingConstants.SHUTDOWN_POLLER_KEY, JBoss7ManagerServicePoller.POLLER_ID);
+		}
 	}
 }