Index: ejb3/pom.xml
===================================================================
--- ejb3/pom.xml	(revision 113142)
+++ ejb3/pom.xml	(working copy)
@@ -62,7 +62,7 @@
     </dependency>
     
     <dependency>
-      <groupId>jacorb</groupId>
+      <groupId>org.jacorb</groupId>
       <artifactId>jacorb</artifactId>
     </dependency>
     
Index: tomcat/pom.xml
===================================================================
--- tomcat/pom.xml	(revision 113142)
+++ tomcat/pom.xml	(working copy)
@@ -53,7 +53,7 @@
       <artifactId>jsf-impl</artifactId>
     </dependency>
     <dependency>
-      <groupId>jacorb</groupId>
+      <groupId>org.jacorb</groupId>
       <artifactId>jacorb</artifactId>
     </dependency>
     <dependency>
Index: thirdparty/pom.xml
===================================================================
--- thirdparty/pom.xml	(revision 113142)
+++ thirdparty/pom.xml	(working copy)
@@ -1089,6 +1089,27 @@
                 <componentId>sun-jaf</componentId>
               </mapping>
             </dependency>
+            <dependency>
+		      <groupId>org.jacorb</groupId>
+		      <artifactId>jacorb</artifactId>
+		      <mapping>
+                <componentId>jacorb</componentId>
+              </mapping>
+		    </dependency>
+		    <dependency>
+		        <groupId>jacorb</groupId>
+		        <artifactId>idl</artifactId>
+		        <mapping>
+                 <componentId>jacorb</componentId>
+              </mapping>
+		    </dependency>
+		    <dependency>
+              <groupId>jacorb</groupId>
+              <artifactId>resources</artifactId>
+              <mapping>
+                 <componentId>jacorb</componentId>
+              </mapping>
+           </dependency>
             <!-- End mapped dependecies -->
             
           </mappedDependencies>
@@ -1413,26 +1434,18 @@
       <scope>test</scope>
     </dependency>
     <dependency>
-      <groupId>jacorb</groupId>
-      <artifactId>idl</artifactId>
+		<groupId>org.jacorb</groupId>
+		<artifactId>jacorb</artifactId>
+	</dependency>
+	<dependency>
+		<groupId>jacorb</groupId>
+		<artifactId>idl</artifactId>
+	</dependency>
+	<dependency>
+        <groupId>jacorb</groupId>
+        <artifactId>resources</artifactId>
     </dependency>
     <dependency>
-      <groupId>jacorb</groupId>
-      <artifactId>idl_g</artifactId>
-    </dependency>
-    <dependency>
-      <groupId>jacorb</groupId>
-      <artifactId>jacorb</artifactId>
-    </dependency>
-    <dependency>
-      <groupId>jacorb</groupId>
-      <artifactId>jacorb_g</artifactId>
-    </dependency>
-    <dependency>
-      <groupId>jacorb</groupId>
-      <artifactId>resources</artifactId>
-    </dependency>
-    <dependency>
       <groupId>jboss.jbossts</groupId>
       <artifactId>jbossts-common</artifactId>
     </dependency>
Index: component-matrix/pom.xml
===================================================================
--- component-matrix/pom.xml	(revision 113142)
+++ component-matrix/pom.xml	(working copy)
@@ -31,7 +31,9 @@
   <!-- Properties -->
   <properties>
     <version.apache.xalan>2.7.1-patch-05</version.apache.xalan>
-    <version.jacorb>2.3.1jboss-patch-03</version.jacorb>
+    <version.jacorb>2.3.2.jbossorg-0</version.jacorb>
+    <version.jacorb.idl>2.3.1jboss-patch-03</version.jacorb.idl>
+    <version.jacorb.resources>2.3.1jboss-patch-03</version.jacorb.resources>
     <version.javax.faces>1.2_13-patch-01</version.javax.faces>
     <version.jaxrpc.api>1.0.0.Final</version.jaxrpc.api>
     <version.jaxws.api>2.1</version.jaxws.api>
@@ -436,35 +438,23 @@
       </dependency>
       
       <dependency>
-        <groupId>jacorb</groupId>
-        <artifactId>idl</artifactId>
-        <version>${version.jacorb}</version>
-      </dependency>
-      
-      <dependency>
-        <groupId>jacorb</groupId>
-        <artifactId>idl_g</artifactId>
-        <version>${version.jacorb}</version>
-      </dependency>
-      
-      <dependency>
-        <groupId>jacorb</groupId>
+        <groupId>org.jacorb</groupId>
         <artifactId>jacorb</artifactId>
         <version>${version.jacorb}</version>
       </dependency>
-      
+     
       <dependency>
         <groupId>jacorb</groupId>
-        <artifactId>jacorb_g</artifactId>
-        <version>${version.jacorb}</version>
+        <artifactId>idl</artifactId>
+        <version>${version.jacorb.idl}</version>
       </dependency>
-      
-      <dependency>
+
+     <dependency>
         <groupId>jacorb</groupId>
         <artifactId>resources</artifactId>
-        <version>${version.jacorb}</version>
-      </dependency>
-      
+        <version>${version.jacorb.resources}</version>
+    </dependency>
+
       <dependency>
         <groupId>javax.faces</groupId>
         <artifactId>jsf-api</artifactId>
@@ -1453,6 +1443,12 @@
         <groupId>org.jboss.integration</groupId>
         <artifactId>jboss-corba-ots-spi</artifactId>
         <version>${version.org.jboss.integration}</version>
+        <exclusions>
+            <exclusion>
+                <artifactId>jacorb</artifactId>
+                <groupId>jacorb</groupId>
+            </exclusion>
+        </exclusions>
       </dependency>
       
       <dependency>
Index: testsuite/build.xml
===================================================================
--- testsuite/build.xml	(revision 113142)
+++ testsuite/build.xml	(working copy)
@@ -3739,6 +3739,7 @@
          <jvmarg value="-Djacorb.orb.print_version=off"/>
          <jvmarg value="-Djacorb.log.default.verbosity=0"/>
          <jvmarg value="-Djacorb.interop.strict_check_on_tc_creation=off"/>
+      	 <jvmarg value="-Djacorb.interop.sun=on"/>
          <jvmarg value="-Djacorb.log.loggerFactory=org.jboss.util.Log4jLoggerFactory"/>
          <jvmarg value="-Djacorb.security.ssl.client.supported_options=0"/>
          <jvmarg value="-Djacorb.security.ssl.client.required_options=0"/>
@@ -4653,6 +4654,7 @@
          <jvmarg value="-Djacorb.orb.print_version=off"/>
          <jvmarg value="-Djacorb.log.default.verbosity=0"/>
          <jvmarg value="-Djacorb.interop.strict_check_on_tc_creation=off"/>
+      	 <jvmarg value="-Djacorb.interop.sun=on"/>
          <jvmarg value="-Djacorb.log.loggerFactory=org.jboss.util.Log4jLoggerFactory"/>
          <jvmarg value="-Djacorb.security.ssl.client.supported_options=0"/>
          <jvmarg value="-Djacorb.security.ssl.client.required_options=0"/>
@@ -4861,6 +4863,7 @@
          <jvmarg value="-Djacorb.orb.print_version=off"/>
          <jvmarg value="-Djacorb.log.default.verbosity=0"/>
          <jvmarg value="-Djacorb.interop.strict_check_on_tc_creation=off"/>
+      	 <jvmarg value="-Djacorb.interop.sun=on"/>
          <jvmarg value="-Djacorb.log.loggerFactory=org.jboss.util.Log4jLoggerFactory"/>
          <jvmarg value="-Djacorb.security.ssl.client.supported_options=0"/>
          <jvmarg value="-Djacorb.security.ssl.client.required_options=0"/>
Index: iiop/pom.xml
===================================================================
--- iiop/pom.xml	(revision 113142)
+++ iiop/pom.xml	(working copy)
@@ -102,7 +102,7 @@
     </dependency>
     
     <dependency>
-      <groupId>jacorb</groupId>
+      <groupId>org.jacorb</groupId>
       <artifactId>jacorb</artifactId>
     </dependency>
     