diff --git a/central/features/org.jboss.tools.central.discovery.feature/feature.xml b/central/features/org.jboss.tools.central.discovery.feature/feature.xml
index 394a0cc..c24e440 100644
--- a/central/features/org.jboss.tools.central.discovery.feature/feature.xml
+++ b/central/features/org.jboss.tools.central.discovery.feature/feature.xml
@@ -1,5 +1,5 @@
 <?xml version="1.0" encoding="UTF-8"?>
-<feature id="org.jboss.tools.central.discovery.feature" label="%featureName" version="1.0.0.qualifier" provider-name="%featureName"> 
+<feature id="org.jboss.tools.central.discovery.feature" label="%featureName" version="1.0.1.qualifier" provider-name="%featureName"> 
    <description>
       %description
    </description>
diff --git a/central/features/org.jboss.tools.central.discovery.feature/pom.xml b/central/features/org.jboss.tools.central.discovery.feature/pom.xml
index e5cb085..f19eec5 100644
--- a/central/features/org.jboss.tools.central.discovery.feature/pom.xml
+++ b/central/features/org.jboss.tools.central.discovery.feature/pom.xml
@@ -4,7 +4,7 @@
 	<parent>
 		<groupId>org.jboss.tools.central</groupId>
 		<artifactId>features</artifactId>
-		<version>1.0.0-SNAPSHOT</version>
+		<version>1.0.1-SNAPSHOT</version>
 	</parent>
 	<groupId>org.jboss.tools.central.features</groupId>
 	<artifactId>org.jboss.tools.central.discovery.feature</artifactId>
diff --git a/central/features/org.jboss.tools.central.feature/feature.xml b/central/features/org.jboss.tools.central.feature/feature.xml
index 6fc0769..768f208 100644
--- a/central/features/org.jboss.tools.central.feature/feature.xml
+++ b/central/features/org.jboss.tools.central.feature/feature.xml
@@ -1,5 +1,5 @@
 <?xml version="1.0" encoding="UTF-8"?>
-<feature id="org.jboss.tools.central.feature" label="%featureName" version="1.0.0.qualifier" provider-name="%providerName" plugin="org.jboss.tools.central"> 
+<feature id="org.jboss.tools.central.feature" label="%featureName" version="1.0.1.qualifier" provider-name="%providerName" plugin="org.jboss.tools.central"> 
    <description>
       %description
    </description>
diff --git a/central/features/org.jboss.tools.central.feature/pom.xml b/central/features/org.jboss.tools.central.feature/pom.xml
index 8e91f68..b623af2 100644
--- a/central/features/org.jboss.tools.central.feature/pom.xml
+++ b/central/features/org.jboss.tools.central.feature/pom.xml
@@ -4,7 +4,7 @@
 	<parent>
 		<groupId>org.jboss.tools.central</groupId>
 		<artifactId>features</artifactId>
-		<version>1.0.0-SNAPSHOT</version>
+		<version>1.0.1-SNAPSHOT</version>
 	</parent>
 	<groupId>org.jboss.tools.central.features</groupId>
 	<artifactId>org.jboss.tools.central.feature</artifactId>
diff --git a/central/features/org.jboss.tools.central.test.feature/feature.xml b/central/features/org.jboss.tools.central.test.feature/feature.xml
index 4ad1a11..d861896 100644
--- a/central/features/org.jboss.tools.central.test.feature/feature.xml
+++ b/central/features/org.jboss.tools.central.test.feature/feature.xml
@@ -2,7 +2,7 @@
 <feature
       id="org.jboss.tools.central.test.feature"
       label="JBoss Tools - Tests - JBoss Central"
-      version="1.0.0.qualifier"
+      version="1.0.1.qualifier"
       provider-name="JBoss by Red Hat">
 
    <description>
diff --git a/central/features/org.jboss.tools.central.test.feature/pom.xml b/central/features/org.jboss.tools.central.test.feature/pom.xml
index 1835378..dc7d210 100644
--- a/central/features/org.jboss.tools.central.test.feature/pom.xml
+++ b/central/features/org.jboss.tools.central.test.feature/pom.xml
@@ -5,7 +5,7 @@
 	<parent>
 		<groupId>org.jboss.tools.central</groupId>
 		<artifactId>features</artifactId>
-		<version>1.0.0-SNAPSHOT</version>
+		<version>1.0.1-SNAPSHOT</version>
 	</parent>
 	<groupId>org.jboss.central.features</groupId>
 	<artifactId>org.jboss.tools.central.test.feature</artifactId>
diff --git a/central/features/org.jboss.tools.community.central.feature/feature.xml b/central/features/org.jboss.tools.community.central.feature/feature.xml
index e46c154..cff2aa2 100644
--- a/central/features/org.jboss.tools.community.central.feature/feature.xml
+++ b/central/features/org.jboss.tools.community.central.feature/feature.xml
@@ -1,5 +1,5 @@
 <?xml version="1.0" encoding="UTF-8"?>
-<feature id="org.jboss.tools.community.central.feature" label="%featureName" version="1.0.0.qualifier" provider-name="%providerName" plugin="org.jboss.tools.community.central">
+<feature id="org.jboss.tools.community.central.feature" label="%featureName" version="1.0.1.qualifier" provider-name="%providerName" plugin="org.jboss.tools.community.central">
    <description>
       %description
    </description>
diff --git a/central/features/org.jboss.tools.community.central.feature/pom.xml b/central/features/org.jboss.tools.community.central.feature/pom.xml
index 26de6a1..27cb288 100644
--- a/central/features/org.jboss.tools.community.central.feature/pom.xml
+++ b/central/features/org.jboss.tools.community.central.feature/pom.xml
@@ -5,7 +5,7 @@
 	<parent>
 		<groupId>org.jboss.tools.central</groupId>
 		<artifactId>features</artifactId>
-		<version>1.0.0-SNAPSHOT</version>
+		<version>1.0.1-SNAPSHOT</version>
 	</parent>
 	<groupId>org.jboss.tools.central.features</groupId>
 	<artifactId>org.jboss.tools.community.central.feature</artifactId>
diff --git a/central/features/pom.xml b/central/features/pom.xml
index 58be8e4..b84ca42 100644
--- a/central/features/pom.xml
+++ b/central/features/pom.xml
@@ -5,7 +5,7 @@
 	<parent>
 		<groupId>org.jboss.tools</groupId>
 		<artifactId>central</artifactId>
-		<version>1.0.0-SNAPSHOT</version>
+		<version>1.0.1-SNAPSHOT</version>
 	</parent>
 	<groupId>org.jboss.tools.central</groupId>
 	<artifactId>features</artifactId>
diff --git a/central/plugins/org.jboss.tools.central.discovery/META-INF/MANIFEST.MF b/central/plugins/org.jboss.tools.central.discovery/META-INF/MANIFEST.MF
index bda3df1..a338696 100644
--- a/central/plugins/org.jboss.tools.central.discovery/META-INF/MANIFEST.MF
+++ b/central/plugins/org.jboss.tools.central.discovery/META-INF/MANIFEST.MF
@@ -2,7 +2,7 @@ Manifest-Version: 1.0
 Bundle-ManifestVersion: 2
 Bundle-Name: %BundleVendor
 Bundle-SymbolicName: org.jboss.tools.central.discovery;singleton:=true
-Bundle-Version: 1.0.0.qualifier
+Bundle-Version: 1.0.1.qualifier
 Require-Bundle: org.eclipse.core.runtime,
  org.eclipse.mylyn.discovery.core;bundle-version="3.6.0"
 Bundle-ActivationPolicy: lazy
diff --git a/central/plugins/org.jboss.tools.central.discovery/pom.xml b/central/plugins/org.jboss.tools.central.discovery/pom.xml
index 08b67d2..0b5727c 100644
--- a/central/plugins/org.jboss.tools.central.discovery/pom.xml
+++ b/central/plugins/org.jboss.tools.central.discovery/pom.xml
@@ -4,10 +4,10 @@
 	<parent>
 		<groupId>org.jboss.tools.central</groupId>
 		<artifactId>plugins</artifactId>
-		<version>1.0.0-SNAPSHOT</version>
+		<version>1.0.1-SNAPSHOT</version>
 	</parent>
 	<groupId>org.jboss.tools.central.plugins</groupId>
 	<artifactId>org.jboss.tools.central.discovery</artifactId> 
-	<version>1.0.0-SNAPSHOT</version>
+	<version>1.0.1-SNAPSHOT</version>
 	<packaging>eclipse-plugin</packaging>
 </project>
diff --git a/central/plugins/org.jboss.tools.central/META-INF/MANIFEST.MF b/central/plugins/org.jboss.tools.central/META-INF/MANIFEST.MF
index 32fe1f3..65acf61 100644
--- a/central/plugins/org.jboss.tools.central/META-INF/MANIFEST.MF
+++ b/central/plugins/org.jboss.tools.central/META-INF/MANIFEST.MF
@@ -2,7 +2,7 @@ Manifest-Version: 1.0
 Bundle-ManifestVersion: 2
 Bundle-Name: %BundleName
 Bundle-SymbolicName: org.jboss.tools.central; singleton:=true
-Bundle-Version: 1.0.0.qualifier
+Bundle-Version: 1.0.1.qualifier
 Bundle-Activator: org.jboss.tools.central.JBossCentralActivator
 Require-Bundle: org.eclipse.ui;bundle-version="3.7.0",
  org.eclipse.core.runtime;bundle-version="3.7.0",
diff --git a/central/plugins/org.jboss.tools.central/pom.xml b/central/plugins/org.jboss.tools.central/pom.xml
index 3617a4b..bd18b85 100644
--- a/central/plugins/org.jboss.tools.central/pom.xml
+++ b/central/plugins/org.jboss.tools.central/pom.xml
@@ -5,7 +5,7 @@
 	<parent>
 		<groupId>org.jboss.tools.central</groupId>
 		<artifactId>plugins</artifactId>
-		<version>1.0.0-SNAPSHOT</version>
+		<version>1.0.1-SNAPSHOT</version>
 	</parent>
 	<groupId>org.jboss.tools.central.plugins</groupId>
 	<artifactId>org.jboss.tools.central</artifactId>
diff --git a/central/plugins/org.jboss.tools.community.central/META-INF/MANIFEST.MF b/central/plugins/org.jboss.tools.community.central/META-INF/MANIFEST.MF
index 6d4cfb6..e50e5d8 100644
--- a/central/plugins/org.jboss.tools.community.central/META-INF/MANIFEST.MF
+++ b/central/plugins/org.jboss.tools.community.central/META-INF/MANIFEST.MF
@@ -2,7 +2,7 @@ Manifest-Version: 1.0
 Bundle-ManifestVersion: 2
 Bundle-Name: %BundleName
 Bundle-SymbolicName: org.jboss.tools.community.central;singleton:=true
-Bundle-Version: 1.0.0.qualifier
+Bundle-Version: 1.0.1.qualifier
 Bundle-Vendor: %BundleVendor
 Bundle-Localization: plugin
 Require-Bundle: org.jboss.tools.central;bundle-version="1.0.0"
diff --git a/central/plugins/org.jboss.tools.community.central/pom.xml b/central/plugins/org.jboss.tools.community.central/pom.xml
index d718cea..1c850ff 100644
--- a/central/plugins/org.jboss.tools.community.central/pom.xml
+++ b/central/plugins/org.jboss.tools.community.central/pom.xml
@@ -5,7 +5,7 @@
 	<parent>
 		<groupId>org.jboss.tools.central</groupId>
 		<artifactId>plugins</artifactId>
-		<version>1.0.0-SNAPSHOT</version>
+		<version>1.0.1-SNAPSHOT</version>
 	</parent>
 	<groupId>org.jboss.tools.central.plugins</groupId>
 	<artifactId>org.jboss.tools.community.central</artifactId>
diff --git a/central/plugins/pom.xml b/central/plugins/pom.xml
index 3c1f30d..f659458 100644
--- a/central/plugins/pom.xml
+++ b/central/plugins/pom.xml
@@ -5,7 +5,7 @@
 	<parent>
 		<groupId>org.jboss.tools</groupId>
 		<artifactId>central</artifactId>
-		<version>1.0.0-SNAPSHOT</version>
+		<version>1.0.1-SNAPSHOT</version>
 	</parent>
 	<groupId>org.jboss.tools.central</groupId>
 	<artifactId>plugins</artifactId>
diff --git a/central/pom.xml b/central/pom.xml
index 4fcef66..81ad7d8 100644
--- a/central/pom.xml
+++ b/central/pom.xml
@@ -10,7 +10,7 @@
 	</parent>
 	<groupId>org.jboss.tools</groupId>
 	<artifactId>central</artifactId>
-	<version>1.0.0-SNAPSHOT</version>
+	<version>1.0.1-SNAPSHOT</version>
 	<name>central.all</name>
 	<packaging>pom</packaging>
 	 <!-- 
diff --git a/central/site/pom.xml b/central/site/pom.xml
index 6352257..5626565 100644
--- a/central/site/pom.xml
+++ b/central/site/pom.xml
@@ -5,7 +5,7 @@
 	<parent>
 		<groupId>org.jboss.tools</groupId>
 		<artifactId>central</artifactId>
-		<version>1.0.0-SNAPSHOT</version>
+		<version>1.0.1-SNAPSHOT</version>
 	</parent>
 	<groupId>org.jboss.tools.central</groupId>
 	<artifactId>central.site</artifactId>
diff --git a/central/tests/org.jboss.tools.central.test/META-INF/MANIFEST.MF b/central/tests/org.jboss.tools.central.test/META-INF/MANIFEST.MF
index 9841c29..3bcfcdc 100644
--- a/central/tests/org.jboss.tools.central.test/META-INF/MANIFEST.MF
+++ b/central/tests/org.jboss.tools.central.test/META-INF/MANIFEST.MF
@@ -2,7 +2,7 @@ Manifest-Version: 1.0
 Bundle-ManifestVersion: 2
 Bundle-Name: %BundleName
 Bundle-SymbolicName: org.jboss.tools.central.test
-Bundle-Version: 1.0.0.qualifier
+Bundle-Version: 1.0.1.qualifier
 Bundle-Activator: org.jboss.tools.central.test.Activator
 Require-Bundle: org.eclipse.ui;bundle-version="3.7.0",
  org.eclipse.core.runtime;bundle-version="3.7.0",
diff --git a/central/tests/org.jboss.tools.central.test/pom.xml b/central/tests/org.jboss.tools.central.test/pom.xml
index 90d329c..a207c5a 100644
--- a/central/tests/org.jboss.tools.central.test/pom.xml
+++ b/central/tests/org.jboss.tools.central.test/pom.xml
@@ -5,7 +5,7 @@
 	<parent>
 		<groupId>org.jboss.tools.central</groupId>
 		<artifactId>tests</artifactId>
-		<version>1.0.0-SNAPSHOT</version>
+		<version>1.0.1-SNAPSHOT</version>
 	</parent>
 	<groupId>org.jboss.tools.central.tests</groupId>
 	<artifactId>org.jboss.tools.central.test</artifactId>
diff --git a/central/tests/pom.xml b/central/tests/pom.xml
index 6da8aed..77ba56c 100644
--- a/central/tests/pom.xml
+++ b/central/tests/pom.xml
@@ -5,7 +5,7 @@
 	<parent>
 		<groupId>org.jboss.tools</groupId>
 		<artifactId>central</artifactId>
-		<version>1.0.0-SNAPSHOT</version>
+		<version>1.0.1-SNAPSHOT</version>
 	</parent>
 	<groupId>org.jboss.tools.central</groupId>
 	<artifactId>tests</artifactId>