diff --git a/portlet/features/org.jboss.tools.portlet.feature/feature.xml b/portlet/features/org.jboss.tools.portlet.feature/feature.xml
index 2f99f85..3294eb8 100644
--- a/portlet/features/org.jboss.tools.portlet.feature/feature.xml
+++ b/portlet/features/org.jboss.tools.portlet.feature/feature.xml
@@ -2,7 +2,7 @@
 <feature
       id="org.jboss.tools.portlet.feature"
       label="%featureName"
-      version="1.2.0.qualifier"
+      version="1.3.1.qualifier"
       provider-name="%providerName"
       plugin="org.jboss.tools.portlet.ui">
 
diff --git a/portlet/features/org.jboss.tools.portlet.feature/pom.xml b/portlet/features/org.jboss.tools.portlet.feature/pom.xml
index c320a82..2bd14c2 100644
--- a/portlet/features/org.jboss.tools.portlet.feature/pom.xml
+++ b/portlet/features/org.jboss.tools.portlet.feature/pom.xml
@@ -5,7 +5,7 @@
 	<parent>
 		<groupId>org.jboss.tools.portlet</groupId>
 		<artifactId>features</artifactId>
-		<version>1.2.0-SNAPSHOT</version>
+		<version>1.3.1-SNAPSHOT</version>
 	</parent>
 	<groupId>org.jboss.tools.portlet.features</groupId>
 	<artifactId>org.jboss.tools.portlet.feature</artifactId>
diff --git a/portlet/features/org.jboss.tools.portlet.test.feature/feature.xml b/portlet/features/org.jboss.tools.portlet.test.feature/feature.xml
index f0a3c41..4d2eb5e 100644
--- a/portlet/features/org.jboss.tools.portlet.test.feature/feature.xml
+++ b/portlet/features/org.jboss.tools.portlet.test.feature/feature.xml
@@ -2,7 +2,7 @@
 <feature
       id="org.jboss.tools.portlet.test.feature"
       label="%featureName"
-      version="1.2.0.qualifier"
+      version="1.3.1.qualifier"
       provider-name="%providerName"
       plugin="org.jboss.tools.portlet.core.test">
 
diff --git a/portlet/features/org.jboss.tools.portlet.test.feature/pom.xml b/portlet/features/org.jboss.tools.portlet.test.feature/pom.xml
index 64f6307..8921763 100644
--- a/portlet/features/org.jboss.tools.portlet.test.feature/pom.xml
+++ b/portlet/features/org.jboss.tools.portlet.test.feature/pom.xml
@@ -5,7 +5,7 @@
 	<parent>
 		<groupId>org.jboss.tools.portlet</groupId>
 		<artifactId>features</artifactId>
-		<version>1.2.0-SNAPSHOT</version>
+		<version>1.3.1-SNAPSHOT</version>
 	</parent>
 	<groupId>org.jboss.tools.portlet.features</groupId>
 	<artifactId>org.jboss.tools.portlet.test.feature</artifactId>
diff --git a/portlet/features/pom.xml b/portlet/features/pom.xml
index cb27100..ed9993e 100644
--- a/portlet/features/pom.xml
+++ b/portlet/features/pom.xml
@@ -5,7 +5,7 @@
 	<parent>
 		<groupId>org.jboss.tools</groupId>
 		<artifactId>portlet</artifactId>
-		<version>1.2.0-SNAPSHOT</version>
+		<version>1.3.1-SNAPSHOT</version>
 	</parent>
 	<groupId>org.jboss.tools.portlet</groupId>
 	<artifactId>features</artifactId>
diff --git a/portlet/plugins/org.jboss.tools.portlet.core/META-INF/MANIFEST.MF b/portlet/plugins/org.jboss.tools.portlet.core/META-INF/MANIFEST.MF
index a5d64af..e922478 100644
--- a/portlet/plugins/org.jboss.tools.portlet.core/META-INF/MANIFEST.MF
+++ b/portlet/plugins/org.jboss.tools.portlet.core/META-INF/MANIFEST.MF
@@ -2,7 +2,7 @@ Manifest-Version: 1.0
 Bundle-ManifestVersion: 2
 Bundle-Name: %BundleName
 Bundle-SymbolicName: org.jboss.tools.portlet.core;singleton:=true
-Bundle-Version: 1.2.0.qualifier
+Bundle-Version: 1.3.1.qualifier
 Bundle-Activator: org.jboss.tools.portlet.core.PortletCoreActivator
 Bundle-Vendor: %BundleVendor
 Require-Bundle: org.eclipse.core.runtime;bundle-version="3.7.0",
diff --git a/portlet/plugins/org.jboss.tools.portlet.core/pom.xml b/portlet/plugins/org.jboss.tools.portlet.core/pom.xml
index 00283af..cffbe3e 100644
--- a/portlet/plugins/org.jboss.tools.portlet.core/pom.xml
+++ b/portlet/plugins/org.jboss.tools.portlet.core/pom.xml
@@ -5,7 +5,7 @@
 	<parent>
 		<groupId>org.jboss.tools.portlet</groupId>
 		<artifactId>plugins</artifactId>
-		<version>1.2.0-SNAPSHOT</version>
+		<version>1.3.1-SNAPSHOT</version>
 	</parent>
 	<groupId>org.jboss.tools.portlet.plugins</groupId>
 	<artifactId>org.jboss.tools.portlet.core</artifactId>
diff --git a/portlet/plugins/org.jboss.tools.portlet.ui/META-INF/MANIFEST.MF b/portlet/plugins/org.jboss.tools.portlet.ui/META-INF/MANIFEST.MF
index cdf5dc9..3e0410b 100644
--- a/portlet/plugins/org.jboss.tools.portlet.ui/META-INF/MANIFEST.MF
+++ b/portlet/plugins/org.jboss.tools.portlet.ui/META-INF/MANIFEST.MF
@@ -2,7 +2,7 @@ Manifest-Version: 1.0
 Bundle-ManifestVersion: 2
 Bundle-Name: %BundleName
 Bundle-SymbolicName: org.jboss.tools.portlet.ui;singleton:=true
-Bundle-Version: 1.2.0.qualifier
+Bundle-Version: 1.3.1.qualifier
 Bundle-Activator: org.jboss.tools.portlet.ui.PortletUIActivator
 Bundle-Vendor: %BundleVendor
 Require-Bundle: org.eclipse.ui,
diff --git a/portlet/plugins/org.jboss.tools.portlet.ui/pom.xml b/portlet/plugins/org.jboss.tools.portlet.ui/pom.xml
index 8ba2457..eec07f7 100644
--- a/portlet/plugins/org.jboss.tools.portlet.ui/pom.xml
+++ b/portlet/plugins/org.jboss.tools.portlet.ui/pom.xml
@@ -5,7 +5,7 @@
 	<parent>
 		<groupId>org.jboss.tools.portlet</groupId>
 		<artifactId>plugins</artifactId>
-		<version>1.2.0-SNAPSHOT</version>
+		<version>1.3.1-SNAPSHOT</version>
 	</parent>
 	<groupId>org.jboss.tools.portlet.plugins</groupId>
 	<artifactId>org.jboss.tools.portlet.ui</artifactId>
diff --git a/portlet/plugins/pom.xml b/portlet/plugins/pom.xml
index 16406d9..441dab4 100644
--- a/portlet/plugins/pom.xml
+++ b/portlet/plugins/pom.xml
@@ -5,7 +5,7 @@
 	<parent>
 		<groupId>org.jboss.tools</groupId>
 		<artifactId>portlet</artifactId>
-		<version>1.2.0-SNAPSHOT</version>
+		<version>1.3.1-SNAPSHOT</version>
 	</parent>
 	<groupId>org.jboss.tools.portlet</groupId>
 	<artifactId>plugins</artifactId>
diff --git a/portlet/pom.xml b/portlet/pom.xml
index df3ff7c..8046a48 100644
--- a/portlet/pom.xml
+++ b/portlet/pom.xml
@@ -9,7 +9,7 @@
 	</parent>
 	<groupId>org.jboss.tools</groupId>
 	<artifactId>portlet</artifactId>
-	<version>1.2.0-SNAPSHOT</version>
+	<version>1.3.1-SNAPSHOT</version>
 	<name>portlet.all</name>	
 	<packaging>pom</packaging>
 	<modules>
diff --git a/portlet/site/pom.xml b/portlet/site/pom.xml
index 174cef8..17b5f1f 100644
--- a/portlet/site/pom.xml
+++ b/portlet/site/pom.xml
@@ -5,7 +5,7 @@
 	<parent>
 		<groupId>org.jboss.tools</groupId>
 		<artifactId>portlet</artifactId>
-		<version>1.2.0-SNAPSHOT</version>
+		<version>1.3.1-SNAPSHOT</version>
 	</parent>
 	<groupId>org.jboss.tools.portlet</groupId>
 	<artifactId>portlet.site</artifactId>
diff --git a/portlet/tests/org.jboss.tools.portlet.core.test/META-INF/MANIFEST.MF b/portlet/tests/org.jboss.tools.portlet.core.test/META-INF/MANIFEST.MF
index 490e2d5..31d67ad 100644
--- a/portlet/tests/org.jboss.tools.portlet.core.test/META-INF/MANIFEST.MF
+++ b/portlet/tests/org.jboss.tools.portlet.core.test/META-INF/MANIFEST.MF
@@ -2,7 +2,7 @@ Manifest-Version: 1.0
 Bundle-ManifestVersion: 2
 Bundle-Name: Portlet Core Test Suite
 Bundle-SymbolicName: org.jboss.tools.portlet.core.test
-Bundle-Version: 1.2.0.qualifier
+Bundle-Version: 1.3.1.qualifier
 Bundle-RequiredExecutionEnvironment: J2SE-1.5
 Require-Bundle: org.jboss.tools.tests;bundle-version="2.0.0",
  org.junit;bundle-version="3.8.2",
diff --git a/portlet/tests/org.jboss.tools.portlet.core.test/pom.xml b/portlet/tests/org.jboss.tools.portlet.core.test/pom.xml
index 305a395..8aa3e53 100644
--- a/portlet/tests/org.jboss.tools.portlet.core.test/pom.xml
+++ b/portlet/tests/org.jboss.tools.portlet.core.test/pom.xml
@@ -5,7 +5,7 @@
 	<parent>
 		<groupId>org.jboss.tools.portlet</groupId>
 		<artifactId>tests</artifactId>
-		<version>1.2.0-SNAPSHOT</version>
+		<version>1.3.1-SNAPSHOT</version>
 	</parent>
 	<groupId>org.jboss.tools.portlet.tests</groupId>
 	<artifactId>org.jboss.tools.portlet.core.test</artifactId>
diff --git a/portlet/tests/org.jboss.tools.portlet.ui.bot.test/META-INF/MANIFEST.MF b/portlet/tests/org.jboss.tools.portlet.ui.bot.test/META-INF/MANIFEST.MF
index 9786ef1..afa33d3 100644
--- a/portlet/tests/org.jboss.tools.portlet.ui.bot.test/META-INF/MANIFEST.MF
+++ b/portlet/tests/org.jboss.tools.portlet.ui.bot.test/META-INF/MANIFEST.MF
@@ -2,7 +2,7 @@ Manifest-Version: 1.0
 Bundle-ManifestVersion: 2
 Bundle-Name: Portal Tests
 Bundle-SymbolicName: org.jboss.tools.portlet.ui.bot.test;singleton:=true
-Bundle-Version: 1.2.0.qualifier
+Bundle-Version: 1.3.1.qualifier
 Bundle-ActivationPolicy: lazy
 Bundle-Vendor: 
  JBoss by Red Hat
diff --git a/portlet/tests/org.jboss.tools.portlet.ui.bot.test/pom.xml b/portlet/tests/org.jboss.tools.portlet.ui.bot.test/pom.xml
index 6a5aca2..815c9bc 100644
--- a/portlet/tests/org.jboss.tools.portlet.ui.bot.test/pom.xml
+++ b/portlet/tests/org.jboss.tools.portlet.ui.bot.test/pom.xml
@@ -5,7 +5,7 @@
 	<parent>
 		<groupId>org.jboss.tools.portlet</groupId>
 		<artifactId>tests</artifactId>
-		<version>1.2.0-SNAPSHOT</version>
+		<version>1.3.1-SNAPSHOT</version>
 	</parent>
 	<groupId>org.jboss.tools.portlet.tests</groupId>
 	<artifactId>org.jboss.tools.portlet.ui.bot.test</artifactId>
diff --git a/portlet/tests/pom.xml b/portlet/tests/pom.xml
index f8c6588..0eedf8f 100644
--- a/portlet/tests/pom.xml
+++ b/portlet/tests/pom.xml
@@ -5,7 +5,7 @@
 	<parent>
 		<groupId>org.jboss.tools</groupId>
 		<artifactId>portlet</artifactId>
-		<version>1.2.0-SNAPSHOT</version>
+		<version>1.3.1-SNAPSHOT</version>
 	</parent>
 	<groupId>org.jboss.tools.portlet</groupId>
 	<artifactId>tests</artifactId>