diff --git a/ws/features/org.jboss.tools.ws.feature/feature.xml b/ws/features/org.jboss.tools.ws.feature/feature.xml
index ee973a2..4a2702e 100755
--- a/ws/features/org.jboss.tools.ws.feature/feature.xml
+++ b/ws/features/org.jboss.tools.ws.feature/feature.xml
@@ -2,7 +2,7 @@
 <feature
       id="org.jboss.tools.ws.feature"
       label="%featureName"
-      version="1.2.2.qualifier"
+      version="1.3.1.qualifier"
       provider-name="%providerName"
       plugin="org.jboss.tools.ws.ui">
 
diff --git a/ws/features/org.jboss.tools.ws.feature/pom.xml b/ws/features/org.jboss.tools.ws.feature/pom.xml
index fcfdda0..c3dbc12 100644
--- a/ws/features/org.jboss.tools.ws.feature/pom.xml
+++ b/ws/features/org.jboss.tools.ws.feature/pom.xml
@@ -5,7 +5,7 @@
 	<parent>
 		<groupId>org.jboss.tools.ws</groupId>
 		<artifactId>features</artifactId>
-		<version>1.2.2-SNAPSHOT</version>
+		<version>1.3.1-SNAPSHOT</version>
 	</parent>
 	<groupId>org.jboss.tools.ws.features</groupId>
 	<artifactId>org.jboss.tools.ws.feature</artifactId>
diff --git a/ws/features/org.jboss.tools.ws.jaxrs.feature/feature.xml b/ws/features/org.jboss.tools.ws.jaxrs.feature/feature.xml
index f86c26c..d069d5c 100644
--- a/ws/features/org.jboss.tools.ws.jaxrs.feature/feature.xml
+++ b/ws/features/org.jboss.tools.ws.jaxrs.feature/feature.xml
@@ -2,7 +2,7 @@
 <feature
       id="org.jboss.tools.ws.jaxrs.feature"
       label="%featureName"
-      version="1.2.2.qualifier"
+      version="1.3.1.qualifier"
       provider-name="JBoss by Red Hat">
 
    <description>
diff --git a/ws/features/org.jboss.tools.ws.jaxrs.feature/pom.xml b/ws/features/org.jboss.tools.ws.jaxrs.feature/pom.xml
index 1c6959f..689c942 100644
--- a/ws/features/org.jboss.tools.ws.jaxrs.feature/pom.xml
+++ b/ws/features/org.jboss.tools.ws.jaxrs.feature/pom.xml
@@ -6,7 +6,7 @@
 	<parent>
 		<groupId>org.jboss.tools.ws</groupId>
 		<artifactId>features</artifactId>
-		<version>1.2.2-SNAPSHOT</version>
+		<version>1.3.1-SNAPSHOT</version>
 	</parent>
 	<groupId>org.jboss.tools.ws.features</groupId>
 	<artifactId>org.jboss.tools.ws.jaxrs.feature</artifactId>
diff --git a/ws/features/org.jboss.tools.ws.test.feature/feature.xml b/ws/features/org.jboss.tools.ws.test.feature/feature.xml
index 36120d1..7134184 100644
--- a/ws/features/org.jboss.tools.ws.test.feature/feature.xml
+++ b/ws/features/org.jboss.tools.ws.test.feature/feature.xml
@@ -1,5 +1,5 @@
 <?xml version="1.0" encoding="UTF-8"?>
-<feature id="org.jboss.tools.ws.test.feature" label="%featureName" version="1.2.2.qualifier" provider-name="%featureProvider">
+<feature id="org.jboss.tools.ws.test.feature" label="%featureName" version="1.3.1.qualifier" provider-name="%featureProvider">
 
 	<description>
       %description
diff --git a/ws/features/org.jboss.tools.ws.test.feature/pom.xml b/ws/features/org.jboss.tools.ws.test.feature/pom.xml
index f373c80..6f297ea 100644
--- a/ws/features/org.jboss.tools.ws.test.feature/pom.xml
+++ b/ws/features/org.jboss.tools.ws.test.feature/pom.xml
@@ -4,7 +4,7 @@
 	<parent>
 		<groupId>org.jboss.tools.ws</groupId>
 		<artifactId>features</artifactId>
-		<version>1.2.2-SNAPSHOT</version>
+		<version>1.3.1-SNAPSHOT</version>
 	</parent>
 	<groupId>org.jboss.tools.ws.features</groupId>
 	<artifactId>org.jboss.tools.ws.test.feature</artifactId>
diff --git a/ws/features/pom.xml b/ws/features/pom.xml
index 43f29ca..dc78bcc 100644
--- a/ws/features/pom.xml
+++ b/ws/features/pom.xml
@@ -5,7 +5,7 @@
 	<parent>
 		<groupId>org.jboss.tools</groupId>
 		<artifactId>ws</artifactId>
-		<version>1.2.2-SNAPSHOT</version>
+		<version>1.3.1-SNAPSHOT</version>
 	</parent>
 	<groupId>org.jboss.tools.ws</groupId>
 	<artifactId>features</artifactId>
diff --git a/ws/plugins/org.jboss.tools.ws.core/META-INF/MANIFEST.MF b/ws/plugins/org.jboss.tools.ws.core/META-INF/MANIFEST.MF
index 2cfd084..7362100 100644
--- a/ws/plugins/org.jboss.tools.ws.core/META-INF/MANIFEST.MF
+++ b/ws/plugins/org.jboss.tools.ws.core/META-INF/MANIFEST.MF
@@ -2,7 +2,7 @@ Manifest-Version: 1.0
 Bundle-ManifestVersion: 2
 Bundle-Name: %PLUGIN_NAME
 Bundle-SymbolicName: org.jboss.tools.ws.core;singleton:=true
-Bundle-Version: 1.2.2.qualifier
+Bundle-Version: 1.3.1.qualifier
 Bundle-Localization: plugin
 Bundle-Activator: org.jboss.tools.ws.core.JBossWSCorePlugin
 Require-Bundle: org.eclipse.ui;bundle-version="3.7.0",
diff --git a/ws/plugins/org.jboss.tools.ws.core/pom.xml b/ws/plugins/org.jboss.tools.ws.core/pom.xml
index fadd81f..971f75a 100644
--- a/ws/plugins/org.jboss.tools.ws.core/pom.xml
+++ b/ws/plugins/org.jboss.tools.ws.core/pom.xml
@@ -5,7 +5,7 @@
 	<parent>
 		<groupId>org.jboss.tools.ws</groupId>
 		<artifactId>plugins</artifactId>
-		<version>1.2.2-SNAPSHOT</version>
+		<version>1.3.1-SNAPSHOT</version>
 	</parent>
 	<groupId>org.jboss.tools.ws.plugins</groupId>
 	<artifactId>org.jboss.tools.ws.core</artifactId>
diff --git a/ws/plugins/org.jboss.tools.ws.creation.core/META-INF/MANIFEST.MF b/ws/plugins/org.jboss.tools.ws.creation.core/META-INF/MANIFEST.MF
index e699014..cba0d5e 100644
--- a/ws/plugins/org.jboss.tools.ws.creation.core/META-INF/MANIFEST.MF
+++ b/ws/plugins/org.jboss.tools.ws.creation.core/META-INF/MANIFEST.MF
@@ -2,7 +2,7 @@ Manifest-Version: 1.0
 Bundle-ManifestVersion: 2
 Bundle-Name: %Bundle-Name.0
 Bundle-SymbolicName: org.jboss.tools.ws.creation.core;singleton:=true
-Bundle-Version: 1.2.2.qualifier
+Bundle-Version: 1.3.1.qualifier
 Bundle-Activator: org.jboss.tools.ws.creation.core.JBossWSCreationCorePlugin
 Bundle-Vendor: %Bundle-Vendor.0
 Require-Bundle: org.eclipse.ui;bundle-version="3.7.0",
diff --git a/ws/plugins/org.jboss.tools.ws.creation.core/pom.xml b/ws/plugins/org.jboss.tools.ws.creation.core/pom.xml
index 602082c..ed63f43 100644
--- a/ws/plugins/org.jboss.tools.ws.creation.core/pom.xml
+++ b/ws/plugins/org.jboss.tools.ws.creation.core/pom.xml
@@ -5,7 +5,7 @@
 	<parent>
 		<groupId>org.jboss.tools.ws</groupId>
 		<artifactId>plugins</artifactId>
-		<version>1.2.2-SNAPSHOT</version>
+		<version>1.3.1-SNAPSHOT</version>
 	</parent>
 	<groupId>org.jboss.tools.ws.plugins</groupId>
 	<artifactId>org.jboss.tools.ws.creation.core</artifactId>
diff --git a/ws/plugins/org.jboss.tools.ws.creation.ui/META-INF/MANIFEST.MF b/ws/plugins/org.jboss.tools.ws.creation.ui/META-INF/MANIFEST.MF
index 0b15b75..dcd38b2 100644
--- a/ws/plugins/org.jboss.tools.ws.creation.ui/META-INF/MANIFEST.MF
+++ b/ws/plugins/org.jboss.tools.ws.creation.ui/META-INF/MANIFEST.MF
@@ -3,7 +3,7 @@ Bundle-ManifestVersion: 2
 Bundle-Name: %PLUGIN_NAME
 Bundle-Localization: plugin
 Bundle-SymbolicName: org.jboss.tools.ws.creation.ui;singleton:=true
-Bundle-Version: 1.2.2.qualifier
+Bundle-Version: 1.3.1.qualifier
 Bundle-Activator: org.jboss.tools.ws.creation.ui.JBossWSCreationUIPlugin
 Bundle-Vendor: %PLUGIN_PROVIDER
 Require-Bundle: org.eclipse.ui;bundle-version="3.7.0",
diff --git a/ws/plugins/org.jboss.tools.ws.creation.ui/pom.xml b/ws/plugins/org.jboss.tools.ws.creation.ui/pom.xml
index eb0cd66..cf39e29 100644
--- a/ws/plugins/org.jboss.tools.ws.creation.ui/pom.xml
+++ b/ws/plugins/org.jboss.tools.ws.creation.ui/pom.xml
@@ -5,7 +5,7 @@
 	<parent>
 		<groupId>org.jboss.tools.ws</groupId>
 		<artifactId>plugins</artifactId>
-		<version>1.2.2-SNAPSHOT</version>
+		<version>1.3.1-SNAPSHOT</version>
 	</parent>
 	<groupId>org.jboss.tools.ws.plugins</groupId>
 	<artifactId>org.jboss.tools.ws.creation.ui</artifactId>
diff --git a/ws/plugins/org.jboss.tools.ws.jaxrs.core/META-INF/MANIFEST.MF b/ws/plugins/org.jboss.tools.ws.jaxrs.core/META-INF/MANIFEST.MF
index 9520b9c..3bae67f 100644
--- a/ws/plugins/org.jboss.tools.ws.jaxrs.core/META-INF/MANIFEST.MF
+++ b/ws/plugins/org.jboss.tools.ws.jaxrs.core/META-INF/MANIFEST.MF
@@ -4,7 +4,7 @@ Bundle-Localization: plugin
 Bundle-Name: %PLUGIN_NAME
 Bundle-Vendor: %PLUGIN_PROVIDER
 Bundle-SymbolicName: org.jboss.tools.ws.jaxrs.core;singleton:=true
-Bundle-Version: 1.2.2.qualifier
+Bundle-Version: 1.3.1.qualifier
 Bundle-Activator: org.jboss.tools.ws.jaxrs.core.JBossJaxrsCorePlugin
 Require-Bundle: org.eclipse.core.runtime;bundle-version="3.7.0";visibility:=reexport,
  org.eclipse.core.resources;bundle-version="3.7.100";visibility:=reexport,
diff --git a/ws/plugins/org.jboss.tools.ws.jaxrs.core/pom.xml b/ws/plugins/org.jboss.tools.ws.jaxrs.core/pom.xml
index a82c683..a9c46c7 100644
--- a/ws/plugins/org.jboss.tools.ws.jaxrs.core/pom.xml
+++ b/ws/plugins/org.jboss.tools.ws.jaxrs.core/pom.xml
@@ -6,7 +6,7 @@
 	<parent>
 		<groupId>org.jboss.tools.ws</groupId>
 		<artifactId>plugins</artifactId>
-		<version>1.2.2-SNAPSHOT</version>
+		<version>1.3.1-SNAPSHOT</version>
 	</parent>
 	<groupId>org.jboss.tools.ws.plugins</groupId>
 	<artifactId>org.jboss.tools.ws.jaxrs.core</artifactId>
diff --git a/ws/plugins/org.jboss.tools.ws.jaxrs.ui/META-INF/MANIFEST.MF b/ws/plugins/org.jboss.tools.ws.jaxrs.ui/META-INF/MANIFEST.MF
index 85a1a7a..c7b48b4 100644
--- a/ws/plugins/org.jboss.tools.ws.jaxrs.ui/META-INF/MANIFEST.MF
+++ b/ws/plugins/org.jboss.tools.ws.jaxrs.ui/META-INF/MANIFEST.MF
@@ -4,7 +4,7 @@ Bundle-Localization: plugin
 Bundle-Name: %PLUGIN_NAME
 Bundle-Vendor: %PLUGIN_PROVIDER
 Bundle-SymbolicName: org.jboss.tools.ws.jaxrs.ui;singleton:=true
-Bundle-Version: 1.2.2.qualifier
+Bundle-Version: 1.3.1.qualifier
 Bundle-Activator: org.jboss.tools.ws.jaxrs.ui.JBossJaxrsUIPlugin
 Require-Bundle: org.eclipse.ui;bundle-version="3.7.0",
  org.eclipse.ui.ide;bundle-version="3.7.0",
diff --git a/ws/plugins/org.jboss.tools.ws.jaxrs.ui/pom.xml b/ws/plugins/org.jboss.tools.ws.jaxrs.ui/pom.xml
index 529bd78..48a5ae2 100644
--- a/ws/plugins/org.jboss.tools.ws.jaxrs.ui/pom.xml
+++ b/ws/plugins/org.jboss.tools.ws.jaxrs.ui/pom.xml
@@ -6,7 +6,7 @@
 	<parent>
 		<groupId>org.jboss.tools.ws</groupId>
 		<artifactId>plugins</artifactId>
-		<version>1.2.2-SNAPSHOT</version>
+		<version>1.3.1-SNAPSHOT</version>
 	</parent>
 	<groupId>org.jboss.tools.ws.plugins</groupId>
 	<artifactId>org.jboss.tools.ws.jaxrs.ui</artifactId>
diff --git a/ws/plugins/org.jboss.tools.ws.ui/META-INF/MANIFEST.MF b/ws/plugins/org.jboss.tools.ws.ui/META-INF/MANIFEST.MF
index b0ca3be..487469f 100644
--- a/ws/plugins/org.jboss.tools.ws.ui/META-INF/MANIFEST.MF
+++ b/ws/plugins/org.jboss.tools.ws.ui/META-INF/MANIFEST.MF
@@ -2,7 +2,7 @@ Manifest-Version: 1.0
 Bundle-ManifestVersion: 2
 Bundle-Name: %PLUGIN_NAME
 Bundle-SymbolicName: org.jboss.tools.ws.ui;singleton:=true
-Bundle-Version: 1.2.2.qualifier
+Bundle-Version: 1.3.1.qualifier
 Bundle-Activator: org.jboss.tools.ws.ui.JBossWSUIPlugin
 Bundle-Localization: plugin
 Require-Bundle: org.eclipse.ui;bundle-version="3.7.0",
diff --git a/ws/plugins/org.jboss.tools.ws.ui/pom.xml b/ws/plugins/org.jboss.tools.ws.ui/pom.xml
index db8f51c..fe7123a 100644
--- a/ws/plugins/org.jboss.tools.ws.ui/pom.xml
+++ b/ws/plugins/org.jboss.tools.ws.ui/pom.xml
@@ -5,7 +5,7 @@
 	<parent>
 		<groupId>org.jboss.tools.ws</groupId>
 		<artifactId>plugins</artifactId>
-		<version>1.2.2-SNAPSHOT</version>
+		<version>1.3.1-SNAPSHOT</version>
 	</parent>
 	<groupId>org.jboss.tools.ws.plugins</groupId>
 	<artifactId>org.jboss.tools.ws.ui</artifactId>
diff --git a/ws/plugins/pom.xml b/ws/plugins/pom.xml
index 86dff02..d1bb2b3 100644
--- a/ws/plugins/pom.xml
+++ b/ws/plugins/pom.xml
@@ -5,7 +5,7 @@
 	<parent>
 		<groupId>org.jboss.tools</groupId>
 		<artifactId>ws</artifactId>
-		<version>1.2.2-SNAPSHOT</version>
+		<version>1.3.1-SNAPSHOT</version>
 	</parent>
 	<groupId>org.jboss.tools.ws</groupId>
 	<artifactId>plugins</artifactId>
diff --git a/ws/pom.xml b/ws/pom.xml
index dc41c34..9c32250 100644
--- a/ws/pom.xml
+++ b/ws/pom.xml
@@ -10,7 +10,7 @@
 	</parent>
 	<groupId>org.jboss.tools</groupId>
 	<artifactId>ws</artifactId>
-	<version>1.2.2-SNAPSHOT</version>
+	<version>1.3.1-SNAPSHOT</version>
 	<name>ws.all</name>
 	<packaging>pom</packaging>
 	<modules>
diff --git a/ws/site/pom.xml b/ws/site/pom.xml
index 9691d48..c84b915 100644
--- a/ws/site/pom.xml
+++ b/ws/site/pom.xml
@@ -5,7 +5,7 @@
 	<parent>
 		<groupId>org.jboss.tools</groupId>
 		<artifactId>ws</artifactId>
-		<version>1.2.2-SNAPSHOT</version>
+		<version>1.3.1-SNAPSHOT</version>
 	</parent>
 	<groupId>org.jboss.tools.ws</groupId>
 	<artifactId>ws.site</artifactId>
diff --git a/ws/tests/org.jboss.tools.ws.core.test/META-INF/MANIFEST.MF b/ws/tests/org.jboss.tools.ws.core.test/META-INF/MANIFEST.MF
index d99672e..b32ee26 100644
--- a/ws/tests/org.jboss.tools.ws.core.test/META-INF/MANIFEST.MF
+++ b/ws/tests/org.jboss.tools.ws.core.test/META-INF/MANIFEST.MF
@@ -2,7 +2,7 @@ Manifest-Version: 1.0
 Bundle-ManifestVersion: 2
 Bundle-Name: %Bundle-Name.0
 Bundle-SymbolicName: org.jboss.tools.ws.core.test
-Bundle-Version: 1.2.2.qualifier
+Bundle-Version: 1.3.1.qualifier
 Bundle-Activator: org.jboss.tools.ws.core.test.Activator
 Require-Bundle: org.eclipse.ui,
  org.eclipse.core.runtime,
diff --git a/ws/tests/org.jboss.tools.ws.core.test/pom.xml b/ws/tests/org.jboss.tools.ws.core.test/pom.xml
index 59881ca..75de024 100644
--- a/ws/tests/org.jboss.tools.ws.core.test/pom.xml
+++ b/ws/tests/org.jboss.tools.ws.core.test/pom.xml
@@ -5,7 +5,7 @@
 	<parent>
 		<groupId>org.jboss.tools.ws</groupId>
 		<artifactId>tests</artifactId>
-		<version>1.2.2-SNAPSHOT</version>
+		<version>1.3.1-SNAPSHOT</version>
 	</parent>
 	<groupId>org.jboss.tools.ws.tests</groupId>
 	<artifactId>org.jboss.tools.ws.core.test</artifactId>
diff --git a/ws/tests/org.jboss.tools.ws.creation.core.test/META-INF/MANIFEST.MF b/ws/tests/org.jboss.tools.ws.creation.core.test/META-INF/MANIFEST.MF
index b130a9f..1b67ab9 100644
--- a/ws/tests/org.jboss.tools.ws.creation.core.test/META-INF/MANIFEST.MF
+++ b/ws/tests/org.jboss.tools.ws.creation.core.test/META-INF/MANIFEST.MF
@@ -2,7 +2,7 @@ Manifest-Version: 1.0
 Bundle-ManifestVersion: 2
 Bundle-Name: %Bundle-Name.0
 Bundle-SymbolicName: org.jboss.tools.ws.creation.core.test
-Bundle-Version: 1.2.2.qualifier
+Bundle-Version: 1.3.1.qualifier
 Bundle-Activator: org.jboss.tools.ws.creation.core.test.Activator
 Require-Bundle: org.eclipse.ui,
  org.eclipse.core.runtime,
diff --git a/ws/tests/org.jboss.tools.ws.creation.core.test/pom.xml b/ws/tests/org.jboss.tools.ws.creation.core.test/pom.xml
index ab56dec..9ba2128 100644
--- a/ws/tests/org.jboss.tools.ws.creation.core.test/pom.xml
+++ b/ws/tests/org.jboss.tools.ws.creation.core.test/pom.xml
@@ -5,7 +5,7 @@
 	<parent>
 		<groupId>org.jboss.tools.ws</groupId>
 		<artifactId>tests</artifactId>
-		<version>1.2.2-SNAPSHOT</version>
+		<version>1.3.1-SNAPSHOT</version>
 	</parent>
 	<groupId>org.jboss.tools.ws.tests</groupId>
 	<artifactId>org.jboss.tools.ws.creation.core.test</artifactId>
diff --git a/ws/tests/org.jboss.tools.ws.jaxrs.core.test/META-INF/MANIFEST.MF b/ws/tests/org.jboss.tools.ws.jaxrs.core.test/META-INF/MANIFEST.MF
index 8100aa5..a6746f2 100644
--- a/ws/tests/org.jboss.tools.ws.jaxrs.core.test/META-INF/MANIFEST.MF
+++ b/ws/tests/org.jboss.tools.ws.jaxrs.core.test/META-INF/MANIFEST.MF
@@ -4,7 +4,7 @@ Bundle-Localization: plugin
 Bundle-Name: %PLUGIN_NAME
 Bundle-Vendor: %PLUGIN_PROVIDER
 Bundle-SymbolicName: org.jboss.tools.ws.jaxrs.core.test;singleton:=true
-Bundle-Version: 1.2.2.qualifier
+Bundle-Version: 1.3.1.qualifier
 Bundle-Activator: org.jboss.tools.ws.jaxrs.core.JBossJaxrsCoreTestsPlugin
 Require-Bundle: org.eclipse.core.runtime;bundle-version="3.7.0",
  org.jboss.tools.ws.jaxrs.core;bundle-version="1.2.2",
diff --git a/ws/tests/org.jboss.tools.ws.jaxrs.core.test/pom.xml b/ws/tests/org.jboss.tools.ws.jaxrs.core.test/pom.xml
index f24177f..f94deb5 100644
--- a/ws/tests/org.jboss.tools.ws.jaxrs.core.test/pom.xml
+++ b/ws/tests/org.jboss.tools.ws.jaxrs.core.test/pom.xml
@@ -6,7 +6,7 @@
 	<parent>
 		<groupId>org.jboss.tools.ws</groupId>
 		<artifactId>tests</artifactId>
-		<version>1.2.2-SNAPSHOT</version>
+		<version>1.3.1-SNAPSHOT</version>
 	</parent>
 	<groupId>org.jboss.tools.ws.tests</groupId>
 	<artifactId>org.jboss.tools.ws.jaxrs.core.test</artifactId>
diff --git a/ws/tests/org.jboss.tools.ws.ui.bot.test/META-INF/MANIFEST.MF b/ws/tests/org.jboss.tools.ws.ui.bot.test/META-INF/MANIFEST.MF
index 48347df..2a745dd 100644
--- a/ws/tests/org.jboss.tools.ws.ui.bot.test/META-INF/MANIFEST.MF
+++ b/ws/tests/org.jboss.tools.ws.ui.bot.test/META-INF/MANIFEST.MF
@@ -2,7 +2,7 @@ Manifest-Version: 1.0
 Bundle-ManifestVersion: 2
 Bundle-Name: WebService SWTBot Tests
 Bundle-SymbolicName: org.jboss.tools.ws.ui.bot.test
-Bundle-Version: 1.2.2.qualifier
+Bundle-Version: 1.3.1.qualifier
 Bundle-Activator: org.jboss.tools.ws.ui.bot.test.Activator
 Require-Bundle: org.eclipse.ui,
  org.eclipse.core.runtime,
diff --git a/ws/tests/org.jboss.tools.ws.ui.bot.test/pom.xml b/ws/tests/org.jboss.tools.ws.ui.bot.test/pom.xml
index 1b91f22..688a520 100644
--- a/ws/tests/org.jboss.tools.ws.ui.bot.test/pom.xml
+++ b/ws/tests/org.jboss.tools.ws.ui.bot.test/pom.xml
@@ -7,7 +7,7 @@
 	<parent>
 		<groupId>org.jboss.tools.ws</groupId>
 		<artifactId>tests</artifactId>
-		<version>1.2.2-SNAPSHOT</version>
+		<version>1.3.1-SNAPSHOT</version>
 	</parent>
 	<groupId>org.jboss.tools.ws.tests</groupId>
 	<artifactId>org.jboss.tools.ws.ui.bot.test</artifactId>
diff --git a/ws/tests/org.jboss.tools.ws.ui.test/META-INF/MANIFEST.MF b/ws/tests/org.jboss.tools.ws.ui.test/META-INF/MANIFEST.MF
index 6ca6e6f..0d64996 100644
--- a/ws/tests/org.jboss.tools.ws.ui.test/META-INF/MANIFEST.MF
+++ b/ws/tests/org.jboss.tools.ws.ui.test/META-INF/MANIFEST.MF
@@ -2,7 +2,7 @@ Manifest-Version: 1.0
 Bundle-ManifestVersion: 2
 Bundle-Name: %Bundle-Name.0
 Bundle-SymbolicName: org.jboss.tools.ws.ui.test
-Bundle-Version: 1.2.2.qualifier
+Bundle-Version: 1.3.1.qualifier
 Bundle-Activator: org.jboss.tools.ws.ui.test.Activator
 Require-Bundle: org.eclipse.ui,
  org.eclipse.core.runtime,
diff --git a/ws/tests/org.jboss.tools.ws.ui.test/pom.xml b/ws/tests/org.jboss.tools.ws.ui.test/pom.xml
index a81f1bd..90c7a91 100644
--- a/ws/tests/org.jboss.tools.ws.ui.test/pom.xml
+++ b/ws/tests/org.jboss.tools.ws.ui.test/pom.xml
@@ -5,7 +5,7 @@
 	<parent>
 		<groupId>org.jboss.tools.ws</groupId>
 		<artifactId>tests</artifactId>
-		<version>1.2.2-SNAPSHOT</version>
+		<version>1.3.1-SNAPSHOT</version>
 	</parent>
 	<groupId>org.jboss.tools.ws.tests</groupId>
 	<artifactId>org.jboss.tools.ws.ui.test</artifactId>
diff --git a/ws/tests/pom.xml b/ws/tests/pom.xml
index 8876579..28895fc 100644
--- a/ws/tests/pom.xml
+++ b/ws/tests/pom.xml
@@ -5,7 +5,7 @@
 	<parent>
 		<groupId>org.jboss.tools</groupId>
 		<artifactId>ws</artifactId>
-		<version>1.2.2-SNAPSHOT</version>
+		<version>1.3.1-SNAPSHOT</version>
 	</parent>
 	<groupId>org.jboss.tools.ws</groupId>
 	<artifactId>tests</artifactId>